<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla14test($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('14_prestamos', $where, 1);
    $codigo_14 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
    //  $pdf->setSourceFile('plantillas/Prestamo_14_In.pdf');
    //  $pdf->AddPage();
    //  $tplIdx = $pdf->importPage(1);
    //  $pdf->useTemplate($tplIdx, 0, 0);
    //14. PRESTAMO O COMODATO POR TERCEROS
    if ($codigo_14->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.8, 27.3, 4, 4);
    }
    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_14->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.9, 20.9, 4, 4);
    }
    if ($codigo->tipo_formato == 3) {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(26);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_14->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(26);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);

    if ($codigo_14->vehiculo == '1') {
        $logo = SERVIDOR . APP . 'application/images/check.png';
        $pdf->Image($logo, 34.3, 121.8, 4, 4);
    } else {
        $logo = SERVIDOR . APP . 'application/images/remove.png';
        $pdf->Image($logo, 34.3, 121.8, 4, 4);;
    }

    if ($codigo_14->inmueble == '1') {
        $logo = SERVIDOR . APP . 'application/images/check.png';
        $pdf->Image($logo, 34.1, 65, 4, 4);
    } else {
        $logo = SERVIDOR . APP . 'application/images/remove.png';
        $pdf->Image($logo, 34.1, 65, 4, 4);
    }
    if ($codigo_14->ninguno != '1') {
    $pdf->SetY(70);
    $pdf->SetX(44);
    if ($codigo_14->tipo_bien == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(154, 4, utf8_decode($codigo_14->tipo_bien_esp));
    } else {
        $pdf->Cell(154, 4, utf8_decode($codigo_14->tipo_bien));
    }
    $pdf->SetFillColor(0, 0, 0);
    $pdf->Ln(9.5);
    $pdf->SetX(105);
        if ($codigo_14->tipo_bien != '') {
    $pdf->Cell(92, 4, utf8_decode($codigo_14->mexico_extranjero), 0, 0, '', true);
    $pdf->Ln(13);
    $pdf->SetX(13);
    $pdf->Cell(70, 4, utf8_decode($codigo_14->calle), 0, 0, '', true);
    $pdf->Cell(18, 4, utf8_decode($codigo_14->numero_ext), 0, 0, '', true);
    $pdf->Cell(18, 4, utf8_decode($codigo_14->numero_int), 0, 0, '', true);
    $pdf->Cell(84, 4, utf8_decode($codigo_14->localidad), 0, 0, '', true);
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(80, 4, utf8_decode($codigo_14->municipio_estado), 0, 0, '', true);
    $pdf->Cell(76, 4, utf8_decode($codigo_14->entidad_pais), 0, 0, '', true);
    $pdf->Cell(34, 4, utf8_decode($codigo_14->codigo_postal), 0, 0, '', true);
    $pdf->Ln(16);
    $pdf->SetX(152);
    $pdf->Cell(52, 4, utf8_decode($codigo_14->mexico_extranjero2), 0, 0, '', true);
    $pdf->Ln(6.5);
    $pdf->SetX(44);


    if ($codigo_14->tipo_vehiculo == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(42, 4, utf8_decode($codigo_14->tipo_vehiculo_esp));
    } else {
        $pdf->Cell(42, 4, utf8_decode($codigo_14->tipo_vehiculo));
    }
    $pdf->SetX(125);
    $pdf->Cell(75, 4, utf8_decode($codigo_14->entidad_pais_registro));
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(48, 4, utf8_decode($codigo_14->marca));
    $pdf->Cell(46, 4, utf8_decode($codigo_14->modelo));
    $pdf->Cell(43, 4, utf8_decode($codigo_14->anio));
    $pdf->Cell(53, 4, utf8_decode($codigo_14->numero_serie), 0, 0, '', true);
    $pdf->Ln(9.5);
    $pdf->SetX(13);
    $pdf->Cell(48, 4, utf8_decode($codigo_14->titular));
    if ($codigo_14->titular == 'PERSONA FÍSICA') {
        $pdf->Cell(142, 4, utf8_decode($codigo_14->nombre_titular), 0, 0, '', true);
        $pdf->Ln(9);
        $pdf->SetX(13);
        $pdf->Cell(48, 4, utf8_decode($codigo_14->rfc_titular), 0, 0, '', true);
        $pdf->Cell(142, 4, utf8_decode($codigo_14->relacion_titular), 0, 0, '', true);
    }else{
        $pdf->Cell(136, 4, utf8_decode($codigo_14->nombre_titular));
        $pdf->Ln(9);
        $pdf->SetX(13);
        $pdf->Cell(48, 4, utf8_decode($codigo_14->rfc_titular));
        $pdf->Cell(136, 4, utf8_decode($codigo_14->relacion_titular));
    }

    $pdf->SetY(164.5);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_14->aclaraciones), 0, '', true);
    }
    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_14->mexico_extranjero2 == 'EN EL EXTRANJERO') {
        $pdf->Text(90, 128, utf8_decode('PAÍS'));
    } else {
        $pdf->Text(90, 128, utf8_decode('ENTIDAD FEDERATIVA'));
    }
       
    //---end if NINGUNO
    }

    


    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('14_prestamos_add', $where, 1);
    $codigo_14_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $CI->db->select('*')->from('14_prestamos_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;





    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            'idprestamo' => $consulta[$x]['idprestamo'],
            'inmueble' => $consulta[$x]['inmueble'],
            'tipo_bien' => $consulta[$x]['tipo_bien'],
            'tipo_bien_esp' => $consulta[$x]['tipo_bien_esp'],
            'calle' => $consulta[$x]['calle'],
            'numero_ext' => $consulta[$x]['numero_ext'],
            'numero_int' => $consulta[$x]['numero_int'],
            'localidad' => $consulta[$x]['localidad'],
            'codigo_postal' => $consulta[$x]['codigo_postal'],
            'municipio_estado' => $consulta[$x]['municipio_estado'],
            'entidad_pais' => $consulta[$x]['entidad_pais'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'vehiculo' => $consulta[$x]['vehiculo'],
            'tipo_vehiculo' => $consulta[$x]['tipo_vehiculo'],
            'tipo_vehiculo_esp' => $consulta[$x]['tipo_vehiculo_esp'],
            'marca' => $consulta[$x]['marca'],
            'modelo' => $consulta[$x]['modelo'],
            'anio' => $consulta[$x]['anio'],
            'numero_serie' => $consulta[$x]['numero_serie'],
            'mexico_extranjero2' => $consulta[$x]['mexico_extranjero2'],
            'entidad_pais_registro' => $consulta[$x]['entidad_pais_registro'],
            'titular' => $consulta[$x]['titular'],
            'nombre_titular' => $consulta[$x]['nombre_titular'],
            'rfc_titular' => $consulta[$x]['rfc_titular'],
            'relacion_titular' => $consulta[$x]['relacion_titular'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );
        $y++;
        if ($codigo_14_add->idformato == $idformato) {

            $pdf->setSourceFile('plantillas/Prestamo_14_In.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);

            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(26);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(26);
            $pdf->SetX(13);
            $pdf->MultiCell(152, 6, ' ', 0, 0, true);
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetFillColor(0, 0, 0);
            //14. PRESTAMO O COMODATO POR TERCEROS

            if ($datos["vehiculo"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check.png';
                $pdf->Image($logo, 34.3, 121.8, 4, 4);
            } else {
                $logo = SERVIDOR . APP . 'application/images/remove.png';
                $pdf->Image($logo, 34.3, 121.8, 4, 4);;
            }

            if ($datos["inmueble"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check.png';
                $pdf->Image($logo, 34.1, 65, 4, 4);
            } else {
                $logo = SERVIDOR . APP . 'application/images/remove.png';
                $pdf->Image($logo, 34.1, 65, 4, 4);
            }

            $pdf->SetY(70);
            $pdf->SetX(44);
            if ($datos["tipo_bien"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(154, 4, utf8_decode($datos["tipo_bien_esp"]));
            } else {
                $pdf->Cell(154, 4, utf8_decode($datos["tipo_bien"]));
            }

            $pdf->Ln(9.5);
            $pdf->SetX(105);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(70, 4, utf8_decode($datos["calle"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_ext"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_int"]), 0, 0, '', true);
            $pdf->Cell(84, 4, utf8_decode($datos["localidad"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(80, 4, utf8_decode($datos["municipio_estado"]), 0, 0, '', true);
            $pdf->Cell(76, 4, utf8_decode($datos["entidad_pais"]), 0, 0, '', true);
            $pdf->Cell(34, 4, utf8_decode($datos["codigo_postal"]), 0, 0, '', true);
            $pdf->Ln(16);
            $pdf->SetX(152);
            $pdf->Cell(52, 4, utf8_decode($datos["mexico_extranjero2"]), 0, 0, '', true);
            $pdf->Ln(6.5);
            $pdf->SetX(44);


            if ($datos["tipo_vehiculo"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(42, 4, utf8_decode($datos["tipo_vehiculo_esp"]));
            } else {
                $pdf->Cell(42, 4, utf8_decode($datos["tipo_vehiculo"]));
            }
            $pdf->SetX(125);
            $pdf->Cell(75, 4, utf8_decode($datos["entidad_pais_registro"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(48, 4, utf8_decode($datos["marca"]));
            $pdf->Cell(46, 4, utf8_decode($datos["modelo"]));
            $pdf->Cell(43, 4, utf8_decode($datos["anio"]));
            $pdf->Cell(53, 4, utf8_decode($datos["numero_serie"]), 0, 0, '', true);
            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(48, 4, utf8_decode($datos["titular"]));

            if ($datos["titular"] == 'PERSONA FÍSICA') {
                $pdf->Cell(142, 4, utf8_decode($datos["nombre_titular"]), 0, 0, '', true);
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(48, 4, utf8_decode($datos["rfc_titular"]), 0, 0, '', true);
                $pdf->Cell(142, 4, utf8_decode($datos["relacion_titular"]), 0, 0, '', true);
            }else{
                $pdf->Cell(136, 4, utf8_decode($datos["nombre_titular"]));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(48, 4, utf8_decode($datos["rfc_titular"]));
                $pdf->Cell(136, 4, utf8_decode($datos["relacion_titular"]));
            }

            
            $pdf->SetY(164.5);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);

            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero2"] == 'EN EL EXTRANJERO') {
                $pdf->Text(90, 128, utf8_decode('PAÍS'));
            } else {
                $pdf->Text(90, 128, utf8_decode('ENTIDAD FEDERATIVA'));
            }
        }
    }

}